org.apache.cassandra.streaming

## Interface StreamEventHandler

- All Superinterfaces:
    com.google.common.util.concurrent.FutureCallback<StreamState>
  All Known Implementing Classes:
    LocalSyncTask, SSTableLoader, StreamEventJMXNotifier, StreamingRepairTask, StreamStateStore

      public interface StreamEventHandler
      extends com.google.common.util.concurrent.FutureCallback<StreamState>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleStreamEvent(StreamEvent event)` Callback for various streaming events.

    - ### Methods inherited from interface com.google.common.util.concurrent.FutureCallback

      `onFailure, onSuccess`

- - ### Method Detail

    - #### handleStreamEvent

          void handleStreamEvent(StreamEvent event)

      Callback for various streaming events.
      Parameters:
        `event` - Stream event.
      See Also:
        `StreamEvent.Type`

Copyright © 2018 The Apache Software Foundation